Форум русскоязычного сообщества Ubuntu


Хотите сделать посильный вклад в развитие Ubuntu и русскоязычного сообщества?
Помогите нам с документацией!

Автор Тема: Устранить ошибку после установки облачного хранилища mailru  (Прочитано 1079 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн serii

  • Автор темы
  • Участник
  • *
  • Сообщений: 125
    • Просмотр профиля
Установил облачное хранилище mailru. Во время установки возникла ошибка, но при этом операция завершилась успешно. Теперь при попытке обновить, удалить или установить новый компонент выскакивает такая длинная ошибка и даже не представляю как ее решить.
Код: HTML5
  1. start: Не удается подключиться к Upstart: Failed to connect to socket /com/ubuntu/upstart: В соединении отказано
  2. dpkg: ошибка при обработке пакета runit (--configure):
  3. подпроцесс установлен сценарий post-installation возвратил код ошибки 1
  4. Настраивается пакет qmail (1.06-5) …
  5.  
  6. The hostname -f command returned: $1
  7.  
  8. Your system needs to have a fully qualified domain name (fqdn) in
  9. order to install the var-qmail packages.
  10.  
  11. Installation aborted.
  12.  
  13. dpkg: ошибка при обработке пакета qmail (--configure):
  14. подпроцесс установлен сценарий post-installation возвратил код ошибки 1
  15. dpkg: зависимости пакетов не позволяют настроить пакет qmail-run:
  16. qmail-run зависит от qmail (>= 1.06-2.1), однако:
  17. Пакет qmail пока не настроен.
  18. qmail-run зависит от runit (>> 1.8.0-2) | daemontools-run (>> 1:0.76), однако:
  19. Пакет runit пока не настроен.
  20. Пакет daemontools-run не установлен.
  21.  
  22. dpkg: ошибка при обработке пакета qmail-run (--configure):
  23. проблемы зависимостей — оставляем не настроенным
  24. Настраивается паОтчёты apport не записаны, так как сообщение об ошибке указывает на повторную ошибку от предыдущего отказа.
  25. кет upstart (1.13.2-0ubuntu21.1) …
  26. При обработке следующих пакетов произошли ошибки:
  27. runit
  28. qmail
  29. qmail-run
  30. E: Sub-process /usr/bin/dpkg returned an error code (1)
Очень нужна ваша помощь!!!
« Последнее редактирование: 12 Август 2017, 22:43:37 от Azure »

Оффлайн Azure

  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 6015
  • Windows10, i3wm on Debian9, Manjaro20.0
    • Просмотр профиля
Попробуйте выполнить sudo apt-get install -f
В Линукс можно сделать ВСЁ что угодно, достаточно знать КАК !

Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1936
    • Просмотр профиля
serii, попробуйте переустановить runit
sudo apt-get install --reinstall runit

Оффлайн serii

  • Автор темы
  • Участник
  • *
  • Сообщений: 125
    • Просмотр профиля
serii, попробуйте переустановить runit
sudo apt-get install --reinstall runit
Вот что мне выдало
E: Internal Error, No file name for runit:amd64

Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1936
    • Просмотр профиля

Оффлайн serii

  • Автор темы
  • Участник
  • *
  • Сообщений: 125
    • Просмотр профиля
sudo gpkg --audit
уже что-то близкое к истине
Следующие пакеты распакованы, но пока ещё не настроены.
Чтобы они заработали, их необходимо настроить с помощью команды
dpkg --configure или выбрав пункт "Настроить" в меню программы dselect:
 qmail-run            sets up qmail as mail-transfer-agent

Следующие пакеты настроены лишь частично. Вероятно, это связано с
с проблемами, возникшими при первой попытке настройки. Следует
провести настройку ещё раз с помощью команды dpkg --configure <package>
или пункта "Настроить" меню программы dselect:
 qmail                a secure, reliable, efficient, simple message transfer ag
 runit                system-wide service supervision


Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1936
    • Просмотр профиля
sudo dpkg --configure -a?

Оффлайн serii

  • Автор темы
  • Участник
  • *
  • Сообщений: 125
    • Просмотр профиля
sudo dpkg --configure -a?

Настраивается пакет qmail (1.06-5) …

The hostname -f command returned: $1

Your system needs to have a fully qualified domain name (fqdn) in
order to install the var-qmail packages.

Installation aborted.



Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1936
    • Просмотр профиля
serii, возможно доменное имя надо добавить
hostname
hostname -f
cat /etc/hostname
cat /etc/hosts

Оффлайн serii

  • Автор темы
  • Участник
  • *
  • Сообщений: 125
    • Просмотр профиля
serii, возможно доменное имя надо добавить
hostname
hostname -f
cat /etc/hostname
cat /etc/hosts
везде serii-desktop
а последняя команда выводит
127.0.0.1 localhost
127.0.1.1 serii-desktop

# The following lines are desirable for IPv6 capable hosts
::1     ip6-localhost ip6-loopback
fe00::0 ip6-localnet
ff00::0 ip6-mcastprefix
ff02::1 ip6-allnodes
ff02::2 ip6-allrouters
127.0.0.1 test.site

Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1936
    • Просмотр профиля

sudo hostname serii-desktop.example.org
sudo dpkg --configure -a



Оффлайн serii

  • Автор темы
  • Участник
  • *
  • Сообщений: 125
    • Просмотр профиля
sudo hostname serii-desktop.example.org
Первая команда sudo: unable to resolve host serii-desktop.example.org
Вторая команда
sudo: unable to resolve host serii-desktop.example.org
Настраивается пакет qmail (1.06-5) …

The hostname -f command returned: $1

Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1936
    • Просмотр профиля
serii,
Цитировать
unable to resolve host
  не должно такого быть
версия ОС? как устанавливали? из репов?

Оффлайн serii

  • Автор темы
  • Участник
  • *
  • Сообщений: 125
    • Просмотр профиля
serii,
Цитировать
unable to resolve host
  не должно такого быть
версия ОС? как устанавливали? из репов?
Ubuntu 16.04
Сначала скачал облако mail sudo dpkg -i mail.ru-cloud_15.06.0110-appind_amd64.deb Но при это выскочила ошибка, и не смог установить из дебпакета.
Пришлось установить вторым способом
sudo apt install mail.ru
Что интересно, вместе с mail.ru пыталось установиться и gmail, хотя причем тут оно?

Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1936
    • Просмотр профиля
serii, ну так, версия то последняя для 14.04, попробуйте подключить их реп,
https://help.mail.ru/cloud_web/app/linux

 

Страница сгенерирована за 0.116 секунд. Запросов: 22.